# Uses of Class
javax.swing.JFormattedTextField

Packages that use JFormattedTextField
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of JFormattedTextField in javax.swing

Methods in javax.swing that return JFormattedTextField
Modifier and Type
Method
Description
`protected JFormattedTextField`
JFormattedTextField.AbstractFormatter.`getFormattedTextField()`
Returns the current `JFormattedTextField` the `AbstractFormatter` is installed on.
`JFormattedTextField`
JSpinner.DefaultEditor.`getTextField()`
Returns the `JFormattedTextField` child of this editor.
Methods in javax.swing with parameters of type JFormattedTextField
Modifier and Type
Method
Description
`abstract JFormattedTextField.AbstractFormatter`
JFormattedTextField.AbstractFormatterFactory.`getFormatter(JFormattedTextField tf)`
Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.
`void`
JFormattedTextField.AbstractFormatter.`install(JFormattedTextField ftf)`
Installs the `AbstractFormatter` onto a particular `JFormattedTextField`.

## Uses of JFormattedTextField in javax.swing.text

Methods in javax.swing.text with parameters of type JFormattedTextField
Modifier and Type
Method
Description
`JFormattedTextField.AbstractFormatter`
DefaultFormatterFactory.`getFormatter(JFormattedTextField source)`
Returns either the default formatter, display formatter, editor formatter or null formatter based on the state of the JFormattedTextField.
`void`
DefaultFormatter.`install(JFormattedTextField ftf)`
Installs the `DefaultFormatter` onto a particular `JFormattedTextField`.
`void`
InternationalFormatter.`install(JFormattedTextField ftf)`
Installs the `DefaultFormatter` onto a particular `JFormattedTextField`.
`void`
MaskFormatter.`install(JFormattedTextField ftf)`
Installs the `DefaultFormatter` onto a particular `JFormattedTextField`.